#ifndef ANIMATION_MODULE
#define ANIMATION_MODULE

#define MAX_CONCURRENT  40
#define MAX_FRAMES      20
#define MAX_PICS        10

class cImage;

class cAnimation
{
public:
    cAnimation();
    cAnimation(char *filename);
    ~cAnimation();
    int m_x[MAX_CONCURRENT];
    int m_y[MAX_CONCURRENT];
    int m_currentFrame[MAX_CONCURRENT];
    int Play(int x, int y);
    int Play(int x, int y, int startFrame);
    void Stop();
    void Stop(int animIndex);
    int m_delay;
    int m_length;
    int m_frame[MAX_FRAMES];
    void Update();
    bool m_repeat;
    int xOffset;
    int yOffset;
    void setOffset(int x, int y);
    void set(int *frames, int delay, int length, bool repeat);
    void Draw();
    bool addImage(cImage *pic);
    cImage *m_pic[MAX_PICS];
    int m_numPics;
    bool Load(char *filename);
    void Unload();
    bool m_loaded;
    void setPosition(int x, int y);
};

#endif
