#ifndef PLAYER_MODULE
#define PLAYER_MODULE

class cImage;
class cAnimation;
class cTilemap;

class cPlayer {
private:
	enum eState{
		eNORMAL,
		eDEAD,
	};
public:
    cPlayer();
    cPlayer(char *filename);
    ~cPlayer();
    int m_x, m_y;
    int m_oldX[25], m_oldY[25];
    void Draw();
    void Update();
	eState m_state;
    void setCurrentLevel(cTilemap *level);
    static const int HALF_WIDTH = 25;
    int m_lives;
    cAnimation *getCurrentAnimation();
private:
	cAnimation *m_anim;
	int m_deathWait;
	cTilemap *m_currentLevel;
};

#endif
